### Method

# Json Serializable default_deserialize_property

#### Declaration [src]

    gboolean
    json_serializable_default_deserialize_property (
      JsonSerializable* serializable,
      const gchar* property_name,
      GValue* value,
      GParamSpec* pspec,
      JsonNode* property_node
    )

#### Description [src]

Calls the default implementation of the `Json.SerializableIface.deserialize_property` virtual function.

This function can be used inside a custom implementation of the `deserialize_property()` virtual function in lieu of calling the default implementation through `g_type_default_interface_peek()`:

    JsonSerializable *iface;
    gboolean res;

    iface = g_type_default_interface_peek (JSON_TYPE_SERIALIZABLE);
    res = iface->deserialize_property (serializable, property_name,
                                       value,
                                       pspec,
                                       property_node);

Available since: | 0.10

#### Parameters

`property_name` | `const gchar*`
| The name of the property to deserialize.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `GValue`
| A pointer to an uninitialized value.
| The data is owned by the caller of the function.
`pspec` | `GParamSpec`
| A property description.
| The data is owned by the caller of the function.
`property_node` | `JsonNode`
| The JSON node containing the serialized property.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the property was successfully deserialized.